PATH_GEN(1)

NAME
        path_gen - compute maximum likelihood paths between haplotypes

SYNOPSIS
        path_gen [--verbose [level]] [--segment method] [--left-mask number]
                [--right-mask number] [--ssm number] [--ibd number]
                [--p-mut number] [--p-recomb number] [--dist-fname filename]
                [--str-fname filename] [--recomb-fname filename]
                [--no-recomb-sum] [--max-latent-depth number]
                [--path-strategy method] [--allele-freq] [--num-normals number]
                filename

DESCRIPTION
	Path_gen computes the highest likelihood (lowest -log likelihood)
	path between two given haplotypes.

OPTIONS
        --verbose [level]          Give verbose output, optionally specifying
                                   level of verbosity.
        --segment method           Method of computing Pr(segment), the
                                   probability of a haplotype segment.
                                   Choices: longest, independent. Default:
                                   longest
        --left-mask number         Gap number masking left of haplotypes.
                                   Default: (none)
        --right-mask number        Gap number masking right of haplotypes.
                                   Default: (none)
        --ssm number               Probability of a 1-step mutation given a
                                   mutation has occurred. Default: 10/11
        --ibd number               Relative probability of two haplotype
                                   fragments being identical-by-descent versus
                                   identical-by-chance. Default: 0.5
        --p-mut number             Probability of a mutation over the entire
                                   region spanned by the markers. Default:
                                   0.01
        --p-recomb number          Probability of a recombination over the
                                   entire region spanned by the markers.
                                   Default: 0.01
        --dist-fname filename      File containing distribution parameters for
                                   mutations per locus. Default: (none)
        --str-fname filename       File containing sizes of the repeated units
                                   of the STR marker at each locus. Default:
                                   (none)
        --recomb-fname filename    File containing the relative probabilities
                                   of recombinations in each gap. Default:
                                   (none)
        --no-recomb-sum            Set this option to use a more conservative
                                   estimate of P(S-->T|recomb) by not summing
                                   over gaps between the disease and the
                                   probable recombination point. Default:
                                   (unset)
        --max-latent-depth number  Maximum number of latents allowed between
                                   observed haplotypes. Default: 4
        --path-strategy method     Strategy for generating paths with latents.
                                   Choices: no_latents, no_latent_recomb,
                                   latent_recomb. Default: no_latent_recomb.
        --allele-freq              Set this option if the file of normal
                                   haplotypes contains allele frequencies
                                   instead of haplotypes. Default: (unset)
        --num-normals number       Number of normal haplotypes. If the file of
                                   normal haplotypes contains allele
                                   frequencies, then this needs to be
                                   specified. Otherwise, this sets the number
                                   of normal haplotypes to read from the file
                                   of normal haplotypes. If set to 0, then all
                                   of the normal haplotypes are used. Default:
                                   0
        filename                   File containing normal haplotypes. This is
                                   used in computing Pr(segment).

FILES
	The haplotype file has the format:

		haplotype_1
		haplotype_2
		...
		haplotype_n

	A haplotype is a space-separated sequence of labels, where
	labels are positive integers or the string "NA".

EXAMPLE
	An example interactive session with path_gen:

	genetics> ./path_gen test/normal.dat
	Initialization.
	Enter source ('999' to quit): 8 4 5 9 2 2 2 2
	Enter target ('999' to quit): 9 2 6 9 2 2 2 2
	Enter disease location ('999' to quit): 3
		Source: [8]:( 8 4 5 9 2 2 2 2 )
		Target: [8]:( 9 2 6 9 2 2 2 2 )
		Disease: 3
		Left distance:  4
		Right distance: 0
		Direction: LEFT
		Insert before position: [8]:( 9 2 6 9 2 2 2 2 )
		-log(prob) to beat: 9.69178
			s: [8]:( 8 4 5 9 2 2 2 2 )
			t: [8]:( 9 2 6 9 2 2 2 2 )
			Latent[ 0 ]: [8]:( 9 2 5 9 2 2 2 2 ) (R*,M )
			Latent[ 1 ]: [8]:( 9 4 6 9 2 2 2 2 ) (R*,M )
			Latent[ 2 ]: [8]:( 8 2 6 9 2 2 2 2 ) (R*,M )
			Latent[ 3 ]: [8]:( 8 4 6 9 2 2 2 2 ) (M ,R*)
			Latent path weights:
				6.84529 + 2.17475 = 9.02004
				8.80448 + 4.57265 = 13.3771
				7.08171 + 2.17475 = 9.25646
				2.17475 + 7.3202 = 9.49495
			End Latent path weights.
		-log(prob) to beat: 6.84529
			s: [8]:( 8 4 5 9 2 2 2 2 )
			t: [8]:( 9 2 5 9 2 2 2 2 )
			Special case: 2 mutations
			Latent[ 0 ]: [8]:( 9 4 5 9 2 2 2 2 ) (M ,M )
			Latent path weights:
				2.17475 + 4.57265 = 6.7474
			End Latent path weights.
	Path:
		[8]:( 8 4 5 9 2 2 2 2 ), 0
		[8]:( 9 4 5 9 2 2 2 2 ), 2.17475
		[8]:( 9 2 5 9 2 2 2 2 ), 4.57265
		[8]:( 9 2 6 9 2 2 2 2 ), 2.17475
	End Path.
	Path Weight: 8.92215
	Enter source ('999' to quit): 999
	genetics>

AUTHOR
	Johnny C. Lam (lamj@stat.cmu.edu).
